## python-et-xmlfile 1.0.1

=== requirements.txt ===
lxml>=3.4
pytest

=== debian/changelog ===
python-et-xmlfile (1.0.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937738

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Feb 2020 15:13:55 -0500

python-et-xmlfile (1.0.1-2) unstable; urgency=medium

  * Use compliant binary package names (Closes: #822742)

 -- Afif Elghraoui <afif@debian.org>  Tue, 26 Apr 2016 18:35:00 -0700

python-et-xmlfile (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #822661)

 -- Afif Elghraoui <afif@debian.org>  Tue, 26 Apr 2016 00:44:27 -0700

=== debian/control ===
Source: python-et-xmlfile
Section: python
Priority: optional
Maintainer: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>=9),
	dh-python,
# Python3
	python3-all,
	python3-setuptools,
	python3-lxml (>= 3.4),
# Test-Depends:
	python3-pytest,
Standards-Version: 3.9.8
Homepage: https://bitbucket.org/openpyxl/et_xmlfile
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-et-xmlfile.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-et-xmlfile.git

Package: python3-et-xmlfile
Architecture: all
Depends:
	${python3:Depends},
	${misc:Depends}
Description: low memory library for creating large XML files (Python 3)
 et_xmlfile is based upon the xmlfile module from lxml with the aim of
 allowing code to be developed that will work with both libraries. It was
 developed initially for the openpyxl project but is now a standalone module.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=et-xmlfile

%:
	dh $@  --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.bz2%python-et-xmlfile-$1.tar.bz2%" \
   https://bitbucket.org/openpyxl/et_xmlfile/downloads \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.bz2 debian uupdate

## python-et-xmlfile 2.0.0

=== requirements.txt ===
lxml>=3.4
pytest
tox

=== debian/changelog ===
python-et-xmlfile (2.0.0-2) unstable; urgency=medium

  * Team upload
  * Scan Heptapod for upstream versions

  [ tony mancill ]
  * Add upstream patch to update tests for Python 3.14 (Closes: #1123236)

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #1120405)

 -- Bastian Germann <bage@debian.org>  Tue, 30 Dec 2025 11:15:29 +0100

python-et-xmlfile (2.0.0-1) unstable; urgency=medium

  * Non-maintainer upload.
  * Load on Salsa / inside DPT
  * New upstream version 2.0.0
  * Switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Mon, 11 Nov 2024 00:30:04 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=et-xmlfile
export PYBUILD_TEST_ARGS=et_xmlfile/tests/test_*.py
export PYBUILD_BEFORE_TEST=cp -r et_xmlfile/tests {build_dir}/et_xmlfile/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/et_xmlfile/tests/

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://foss.heptapod.net/openpyxl/et_xmlfile
